---
title: Get Domain History
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Intel](https://developers.cloudflare.com/api/go/resources/intel)

[Domain History](https://developers.cloudflare.com/api/go/resources/intel/subresources/domain_history)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Domain History

client.Intel.DomainHistory.Get(ctx, params) (\*\[] [DomainHistory](<https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/intel/domain-history

Gets historical security threat and content categories currently and previously assigned to a domain.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Intel Write``Intel Read`

##### ParametersExpand Collapse

<details>

<summary>

params DomainHistoryGetParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20intel.domain_history%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Domain param.Field\[string]Optional

Query param

<a href="#(resource)%20intel.domain_history%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20domain">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.domain_history%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type DomainHistoryGetResponseEnvelopeResult \[]<a href="https://developers.cloudflare.com/api/go/resources/intel#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)">DomainHistory</a>

</summary>

<details>

<summary>

Categorizations \[]DomainHistoryCategorizationOptional

</summary>

<details>

<summary>

Categories \[]DomainHistoryCategorizationsCategoryOptional

</summary>

ID int64Optional

<a href="#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)%20%3E%20(property)%20categorizations%20%3E%20(items)%20%3E%20(property)%20categories%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Name stringOptional

<a href="#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)%20%3E%20(property)%20categorizations%20%3E%20(items)%20%3E%20(property)%20categories%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)%20%3E%20(property)%20categorizations%20%3E%20(items)%20%3E%20(property)%20categories">Link to this property</a>

End TimeOptional

formatdate

<a href="#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)%20%3E%20(property)%20categorizations%20%3E%20(items)%20%3E%20(property)%20end">Link to this property</a>

Start TimeOptional

formatdate

<a href="#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)%20%3E%20(property)%20categorizations%20%3E%20(items)%20%3E%20(property)%20start">Link to this property</a>

</details>

<a href="#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)%20%3E%20(property)%20categorizations">Link to this property</a>

Domain stringOptional

<a href="#(resource)%20intel.domain_history%20%3E%20(model)%20domain_history%20%3E%20(schema)%20%3E%20(property)%20domain">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.domain_history%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Get Domain History

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/intel"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  domainHistories, err := client.Intel.DomainHistory.Get(context.TODO(), intel.DomainHistoryGetParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", domainHistories)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "categorizations": [
        {
          "categories": [
            {
              "id": 155,
              "name": "Technology"
            }
          ],
          "end": "2021-04-30",
          "start": "2021-04-01"
        }
      ],
      "domain": "cloudflare.com"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "categorizations": [
        {
          "categories": [
            {
              "id": 155,
              "name": "Technology"
            }
          ],
          "end": "2021-04-30",
          "start": "2021-04-01"
        }
      ],
      "domain": "cloudflare.com"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```